Commit Graph

45 Commits

Author SHA1 Message Date
Yureka
4122f16583 m1n1: 1.6.0 -> 1.6.1
Diff: https://github.com/AsahiLinux/m1n1/compare/v1.6.0...v1.6.1

Changelog: https://github.com/AsahiLinux/m1n1/releases/tag/v1.6.1
2026-08-16 17:29:47 +02:00
Yureka
1c979151db m1n1: expose rustPackages
I typoed last time, the more useful one is rustPackages, but let's expose both
2026-07-10 16:45:26 +02:00
Yureka
22400349c0 m1n1: expose rustPlatform
So that the rustc with softfloat core lib can be easily accessed for development purposes
2026-07-02 20:06:30 +02:00
Yureka
e0143a8364 m1n1: remove broken font generation
This results in an oddly broken font, and it's unclear why it would be needed in the first place
2026-06-26 13:11:33 +02:00
Yureka
fd9e2ea29b m1n1: 1.5.2 -> 1.6.0
Changelog: https://github.com/AsahiLinux/m1n1/releases/tag/v1.6.0
Diff: https://github.com/AsahiLinux/m1n1/compare/v1.5.2...v1.6.0
2026-06-26 13:10:38 +02:00
Michael Daniels
6d1e3a272e {m17n_lib,libotf}: move to by-name 2026-05-30 12:33:51 -04:00
sempiternal-aurora
c992d73609 m1n1: fix platforms
M1N1 doesn't actually compile on aarch64-darwin, or any other aarch platform.
It's designed to only be compiled for aarch64-linux. Note this
2026-04-29 13:22:31 +10:00
sempiternal-aurora
05cc3dede9 m1n1: add sempiternal-aurora as maintainer 2026-04-29 13:22:31 +10:00
quantenzitrone
626f23ce26 various: switch packages to use finalAttrs
this shouldn't create any rebuilds

the following script was used to generate this:
```fish
#!/usr/bin/env fish

# nix shell .#nixfmt nixpkgs#{nixf-diagnose,ripgrep,sd}

set base (git rev-parse HEAD)

set scope pkgs/by-name

set files (rg --files-with-matches -F 'stdenv.mkDerivation rec {' $scope | sort -u)

for file in $files
    echo $file
    sd -F 'stdenv.mkDerivation rec {' 'stdenv.mkDerivation (finalAttrs: {' $file
    # version
    sd -F 'version}' 'finalAttrs.version}' $file
    sd -F '${version' '${finalAttrs.version' $file
    sd -F '= version' '= finalAttrs.version' $file
    sd -F 'inherit version;' 'inherit (finalAttrs) version;' $file
    sd -F ' + version;' ' + finalAttrs.version;' $file
    sd 'replaceStrings (.*) version' 'replaceStrings $1 finalAttrs.version' $file
    sd -F 'splitVersion version' 'splitVersion finalAttrs.version' $file
    sd -F 'versionAtLeast version' 'versionAtLeast finalAttrs.version' $file
    sd 'versions\.([a-z]+) version' 'versions.$1 finalAttrs.version' $file
    # src
    sd -F 'src}' 'finalAttrs.src}' $file
    sd -F '${src' '${finalAttrs.src' $file
    sd -F '= src' '= finalAttrs.src' $file
    sd -F 'inherit src;' 'inherit (finalAttrs) src;' $file
    sd -F 'inherit (src' 'inherit (finalAttrs.src' $file
    # meta
    sd -F '${meta' '${finalAttrs.meta' $file
    sd -F '= meta' '= finalAttrs.meta' $file
    sd -F 'inherit (meta' 'inherit (finalAttrs.meta' $file
    # other
    sd -F 'inherit version src;' 'inherit (finalAttrs) version src;' $file
    sd -F 'makeLibraryPath buildInputs' 'makeLibraryPath finalAttrs.buildInputs' $file
    sd -F 'buildInputs}' 'finalAttrs.buildInputs}' $file
    sd -F 'desktopItem}' 'finalAttrs.desktopItem}' $file
    sd -F 'runtimeLibs}' 'finalAttrs.runtimeLibs}' $file
    sd -F 'libPath}' 'finalAttrs.libPath}' $file
    sd -F 'runtimeDependencies}' 'finalAttrs.runtimeDependencies}' $file
    sd -F 'nativeRuntimeInputs}' 'finalAttrs.nativeRuntimeInputs}' $file
    sd -F '(!doCheck)' '(!finalAttrs.doCheck)' $file
    sd -F 'optional doCheck' 'optional finalAttrs.doCheck' $file
    sd -F 'optionals doCheck' 'optionals finalAttrs.doCheck' $file
    sd -F '++ runtimeDependencies' '++ finalAttrs.runtimeDependencies' $file
    # pname (restored afterwards)
    sd -F 'pname}' 'finalAttrs.pname}' $file
    sd -F '${pname' '${finalAttrs.pname' $file
    sd -F '= pname' '= finalAttrs.pname' $file
    # close finalAttrs lambda
    echo ')' >>$file
    # catch some errors early
    if ! nixfmt $file
        git restore $file
        continue
    end
    if ! nixf-diagnose -i sema-primop-overridden $file
        git restore $file
        continue
    end
end

set torestore (rg -F .finalAttrs --files-with-matches $scope)
if test (count $torestore) -gt 0
    git restore $torestore
end
set torestore (rg -F finalAttrs.pname --files-with-matches $scope)
if test (count $torestore) -gt 0
    git restore $torestore
end

# commit for faster eval times
git add pkgs
git commit --no-gpg-sign -m temp
set torestore

for file in $files
    # file hasn't changed
    if git diff --quiet $base $file
        continue
    end
    # try to eval the package to definitely catch all errors
    echo $file
    set pname (string split / $file -f 4)
    if ! nix eval .#$pname
        set torestore $torestore $file
    end
end

# restore files that don't eval
git reset --soft $base
git restore --staged .
if test (count $torestore) -gt 0
    git restore $torestore
end
```

after that some manual cleanup was done:
- restoring files that cause changes in the number of lines
- restoring files that cause rebuilds
- restoring files that cause merge conflicts with staging
2026-02-07 09:59:05 +01:00
quantenzitrone
9c8e96055a various: fix pname misuse in urls 2026-02-05 01:51:59 +01:00
quantenzitrone
6b61249106 various: switch to finalAttrs pattern
this shouldn't create any rebuilds
2026-01-30 02:36:22 +01:00
Jasi
fbc062fd43 maintainers: remove normalcea 2026-01-17 01:56:07 -05:00
Yureka
665bb0a776 m1n1: always build with chainloading support
In the past, Rust was only required for the chainloading feature,
but starting from the next m1n1 release Rust will be mandatory.
Include Rust dependencies and the chainloading feature unconditionally,
matching the upstream m1n1 release builds.
2026-01-15 12:35:38 +01:00
Ihar Hrachyshka
567e8dfd8e treewide: clean up 'meta = with' pattern
This commit was created by a combination of scripts and tools:
- an ast-grep script to prefix things in meta with `lib.`,
- a modified nixf-diagnose / nixf combination to remove unused `with
lib;`, and
- regular nixfmt.

Co-authored-by: Wolfgang Walther <walther@technowledgy.de>
2025-12-10 18:09:49 +01:00
Wolfgang Walther
e750de24ba maintainers: remove JoanMassachs due to inactivity (#463506) 2025-11-29 18:48:22 +00:00
Andrew Marshall
d050c4c3bf m1ddc: adopt 2025-11-20 10:10:14 -05:00
Andrew Marshall
4d61155d4d maintainers: remove JoanMassachs due to inactivity
No PRs since May 2024 and does not appear to be part of the NixOS GitHub
organization anymore.
2025-11-20 10:10:14 -05:00
Andrew Marshall
8b3a7a8706 m1ddc: fix build in sandbox 2025-11-19 20:42:12 -05:00
Andrew Marshall
66f3c63b5a m1ddc: fix build
Presumably broken with recent stdenv update causing new deprecations
being errors. Suppress them.
2025-11-19 20:40:43 -05:00
Yureka
9be1d6b906 m1n1: add option to build with chainloading support
Co-authored-by: Jasi <normalcea@posteo.net>
2025-10-26 12:47:48 +01:00
Yureka
e76e2ea51d m1n1: 1.5.0 -> 1.5.2
Diff: https://github.com/AsahiLinux/m1n1/compare/v1.5.0...v1.5.2

Changelog: https://github.com/AsahiLinux/m1n1/releases/tag/v1.5.2
2025-10-19 22:57:20 +02:00
Jasi
72caa9638e m1n1: replace withBranding with customLogo parameter
This avoids having to use `overrideAttrs` to customize the logo
installation and instead places the interface as an argument which
represents a file path to the desired image which will be
resized by imagemagick to 128x128 and 256x256.

This means that the same image will be used for both sizes (which
should be the intended case) but that can be circumvented manually via
`overrideAttrs` if desired (rather than "when needed").

It also adds documentation for this argument within
`meta.longDescription` for m1n1.
2025-10-08 20:07:55 -04:00
Sandro Jäckel
47110e3dcf treewide: drop things the c3d2 is no longer using 2025-09-13 12:47:48 +02:00
Jasi
fd8c443ccd m1n1: add branding 2025-08-27 11:48:41 -04:00
Jasi
81adf0a3f3 m1n1: enable tests 2025-08-27 11:46:46 -04:00
Jasi
c6de7f54e1 m1n1: 1.4.21 → 1.5.0 2025-08-27 11:46:45 -04:00
Jasi
7dee852c00 m1n1: init at 1.4.21 2025-07-28 10:20:16 -07:00
Michael Daniels
d606025d4b treewide: remove astsmtl as maintainer
Inactive for a few years.
2025-06-16 12:48:39 -04:00
K900
bada9d0a53 Merge remote-tracking branch 'origin/master' into staging-next 2025-04-27 21:10:10 +03:00
Wolfgang Walther
5adb6a9f68 m17n_db: 1.8.9 -> 1.8.10 (#397093) 2025-04-27 13:48:31 +00:00
K900
f96ac2dcd6 Merge remote-tracking branch 'origin/master' into staging-next 2025-04-26 09:07:48 +03:00
Fernando Rodrigues
05580f4b44 treewide: switch instances of lib.teams.*.members to the new meta.teams attribute
Follow-up to #394797.

Signed-off-by: Fernando Rodrigues <alpha@sigmasquadron.net>
2025-04-25 22:20:17 -03:00
Ihar Hrachyshka
dd0f03a56c treewide: remove usage of deprecated apple_sdk framework stubs
They are not doing anything right now. This is in preparation for their
complete removal from the tree.

Note: several changes that affect the derivation inputs (e.g. removal of
references to stub paths in build instructions) were left out. They will
be cleaned up the next iteration and will require special care.

Note: this PR is a result of a mix of ugly regex (not AST) based
automation and some manual labor. For reference, the regex automation
part was hacked in: https://github.com/booxter/nix-clean-apple_sdk

Signed-off-by: Ihar Hrachyshka <ihar.hrachyshka@gmail.com>
2025-04-19 20:28:20 -04:00
R. Ryantm
2fa3267a64 m17n_db: 1.8.9 -> 1.8.10 2025-04-08 12:55:51 +00:00
Winter
a19cd4ffb1 Revert "treewide: replace rev with tag"
This reverts commit 65a333600d.

This wasn't tested for correctness with something like fodwatch [0],
and should not have been (self-)merged so quickly, especially without
further review.

It also resulted in the breakage of at least one package [1] (and that's
the one we know of and was caught).

A few packages that were updated in between this commit and this revert
were not reverted back to using `rev`, but other than that, this is a
1:1 revert.

[0]: https://codeberg.org/raphaelr/fodwatch
[1]: https://github.com/NixOS/nixpkgs/pull/396904 / 758551e458
2025-04-08 02:57:25 -04:00
Pol Dellaiera
65a333600d treewide: replace rev with tag 2025-04-07 16:57:22 +02:00
Jan Malakhovski
4c9993c5a4 treewide: use hash = "sha256-.*" in all touched files whenever possible
... but only when it does not require editing the hash itself, i.e.,  keeping
non-`base64` hashes as-is.
2025-04-02 18:14:20 +00:00
Jan Malakhovski
da78730cf6 treewide: use mirror://savannah when possible
... and improve some related `meta` URLs
2025-04-02 18:12:00 +00:00
Silvan Mosberger
374e6bcc40 treewide: Format all Nix files
Format all Nix files using the officially approved formatter,
making the CI check introduced in the previous commit succeed:

  nix-build ci -A fmt.check

This is the next step of the of the [implementation](https://github.com/NixOS/nixfmt/issues/153)
of the accepted [RFC 166](https://github.com/NixOS/rfcs/pull/166).

This commit will lead to merge conflicts for a number of PRs,
up to an estimated ~1100 (~33%) among the PRs with activity in the past 2
months, but that should be lower than what it would be without the previous
[partial treewide format](https://github.com/NixOS/nixpkgs/pull/322537).

Merge conflicts caused by this commit can now automatically be resolved while rebasing using the
[auto-rebase script](8616af08d9/maintainers/scripts/auto-rebase).

If you run into any problems regarding any of this, please reach out to the
[formatting team](https://nixos.org/community/teams/formatting/) by
pinging @NixOS/nix-formatting.
2025-04-01 20:10:43 +02:00
Peder Bergebakken Sundt
357d2530e5 treewide: substitute pname for strings
Inspired by https://github.com/NixOS/nixpkgs/pull/387725#issuecomment-2704943777, script is based on https://github.com/NixOS/nixpkgs/pull/336172 using what i learned in https://github.com/NixOS/nixpkgs/pull/386865, part of https://github.com/NixOS/nixpkgs/issues/346453

Should be zero rebuilds.

All candidates were made using:

```shell

export NIXPKGS_ALLOW_UNFREE=1
export NIXPKGS_ALLOW_INSECURE=1
export NIXPKGS_ALLOW_BROKEN=1

git-wait restore .

test -s packages.json || ( set -x;
  time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages.json
)

list_attrpath_fname_col() {
    jq <packages.json 'to_entries[] | select(.value.meta.position==null|not) | "\(.key)\t\(.value.meta.position)"' -r |
        sed -e "s#\t$(realpath .)/#\t#" |
        sed -e 's#:\([0-9]*\)$#\t\1#' |
        grep . |
        grep -iv haskell |
        grep -iv /top-level/ |
        grep -iv chicken |
        grep pkgs/by-name/ |
        grep -iv build |
        grep -E '/(package|default)\.nix'
}

FLOCKDIR="$(mktemp -d)"
N_WORKERS=4
while read attrpath fname col; do
    grep -qE 'repo *= *("\$\{pname\}"|pname);' "$fname" || continue

    echo | (
        # mutex on fname
        flock --nonblock 200 || {
            >&2 echo "failed to aquire lock for $fname"
            exit 1
        }

        echo "$attrpath"
        data="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)" || exit
        test -n "$data" || exit
        pname="$(jq <<<"$data" .pname -r)"
        test -n "$pname" || exit

        (set -x
            sd -F '${pname}'  "$pname"         "$fname"
            sd -F ' = pname;' " = \"$pname\";" "$fname"
        )

        data2="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)"
        if [[ "$data" = "$data2" ]]; then
            (set -x; git-wait add "$fname")
        else
            (set -x; git-wait restore "$fname")
            exit
        fi

        (set -x
            sd -F ' rec {' ' {' "$fname"
        )

        data3="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json 2>/dev/nul)"

        if [[ "$data" = "$data3" ]]; then
            (set -x; git-wait add "$fname")
        else
            (set -x; git-wait restore "$fname")
        fi

    ) 200>"$FLOCKDIR"/"$(sha256sum - <<<"$fname" | cut -d' ' -f1)".lock &

    while [[ $(jobs -p | wc -l) -ge $N_WORKERS ]]; do
        wait -n < <(jobs -p) || true
    done

done < <(list_attrpath_fname_col)

wait

git restore .

time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages2.json
```

`diff packages{,2}.json` is empty, indicating that no package nor src derivation has changed.
I checked and cherry-picked the changes using `GIT_DIFF_OPTS='-u15' git -c interactive.singleKey=true add --patch`
2025-03-11 23:55:31 +01:00
Wolfgang Walther
601af72b51 m17n_db: 1.8.7 -> 1.8.9 (#362301) 2024-12-22 18:03:29 +01:00
Silvan Mosberger
667d42c00d treewide: format all inactive Nix files
After final improvements to the official formatter implementation,
this commit now performs the first treewide reformat of Nix files using it.
This is part of the implementation of RFC 166.

Only "inactive" files are reformatted, meaning only files that
aren't being touched by any PR with activity in the past 2 months.
This is to avoid conflicts for PRs that might soon be merged.
Later we can do a full treewide reformat to get the rest,
which should not cause as many conflicts.

A CI check has already been running for some time to ensure that new and
already-formatted files are formatted, so the files being reformatted here
should also stay formatted.

This commit was automatically created and can be verified using

    nix-build a08b3a4d19.tar.gz \
      --argstr baseRev 57b193d8dd
    result/bin/apply-formatting $NIXPKGS_PATH
2024-12-10 20:27:17 +01:00
R. Ryantm
32c575c042 m17n_db: 1.8.7 -> 1.8.9 2024-12-06 03:46:25 +00:00
aleksana
571c71e6f7 treewide: migrate packages to pkgs/by-name, take 1
We are migrating packages that meet below requirements:

1. using `callPackage`
2. called path is a directory
3. overriding set is empty (`{ }`)
4. not containing path expressions other than relative path (to
makenixpkgs-vet happy)
5. not referenced by nix files outside of the directory, other
than`pkgs/top-level/all-packages.nix`
6. not referencing nix files outside of the directory
7. not referencing `default.nix` (since it's changed to `package.nix`)
8. `outPath` doesn't change after migration

The tool is here: https://github.com/Aleksanaa/by-name-migrate.
2024-11-09 20:04:51 +08:00
Joan Massachs
2e89aba144 m1ddc: init at 1.2.0 2024-05-30 08:22:42 +02:00